<?xml version="1.0" encoding="UTF-8"?>
<rss version="2.0"
                    xmlns:content="http://purl.org/rss/1.0/modules/content/"
                    xmlns:wfw="http://wellformedweb.org/CommentAPI/"
                    xmlns:dc="http://purl.org/dc/elements/1.1/"
                    xmlns:atom="http://www.w3.org/2005/Atom" >
    <channel>
        <title>Razorhost.in (razorhost.in) customer and user reviews over RSS/ATOM feed</title>
        <description>Razorhost.in RSS feed customers and users reviews at whtop.com</description>
        <link>https://www.whtop.com/reviews/razorhost.in</link>
        <atom:link href="https://www.whtop.com/rss.reviews/razorhost.in" rel="self" type="application/rss+xml" />
        <lastBuildDate>Thu, 18 Sep 2025 06:58:02 +0100</lastBuildDate>
        <image>
            <url>https://www.whtop.com/layout/whtop/images/logo.png</url>
            <title>Razorhost.in (razorhost.in) customer and user reviews over RSS/ATOM feed</title>
            <link>https://www.whtop.com/reviews/razorhost.in</link>
            <description>Feed provided by https://www.whtop.com/</description>
        </image>
        <language>en-us</language>
        <copyright>(c) 2004 - 2025 https://www.whtop.com/</copyright>
        <pubDate>Thu, 18 Sep 2025 00:00:00 +0100</pubDate>
        <category>Web Hosting Reviews</category>
        <item>
            <title>Razorhost.in reviewed by mzqsfrcv ( webdesigning2u@g... ) , Rating 1 out of 10</title>
            <link>https://www.whtop.com/reviews/razorhost.in/68449</link>
            <description><![CDATA[worst company no support, no contact number, no ticket solution totaly lost my money i did not recommend this fraud company to anyone.]]></description>
            <pubDate>Wed, 10 Sep 2025 09:43:19 +0100</pubDate>
            <guid isPermaLink ="true" >https://www.whtop.com/reviews/razorhost.in/68449</guid>
        </item>
        <item>
            <title>Razorhost.in reviewed by -anonymous- ( ashuv3555@g... ) , Rating 1 out of 10</title>
            <link>https://www.whtop.com/reviews/razorhost.in/63461</link>
            <description><![CDATA[I have 3 domains and 1 year of hosting he didn't responded to any call all of my websites all deleted I'm unable to handle any website at this moment]]></description>
            <pubDate>Thu, 10 Aug 2023 05:40:41 +0100</pubDate>
            <guid isPermaLink ="true" >https://www.whtop.com/reviews/razorhost.in/63461</guid>
        </item>
        <item>
            <title>Razorhost.in reviewed by -anonymous- ( rds@g... ) , Rating 1 out of 10</title>
            <link>https://www.whtop.com/reviews/razorhost.in/63442</link>
            <description><![CDATA[i have call support so many times always busy busy and busy and no reply for tickets also<br>
I have not recommend to any one don't waste your time and money. I request all customers don't waste your time]]></description>
            <pubDate>Tue, 08 Aug 2023 07:35:20 +0100</pubDate>
            <guid isPermaLink ="true" >https://www.whtop.com/reviews/razorhost.in/63442</guid>
        </item>
        <item>
            <title>Razorhost.in reviewed by -anonymous- ( venkateshchowtipalli@g... ) , Rating 1 out of 10</title>
            <link>https://www.whtop.com/reviews/razorhost.in/63421</link>
            <description><![CDATA[We lost our customers data because of their server maintenance. Its not safe to have your websites with them. They simply say because of hard or caterstophic failurethey lost data. They dont even responsd.]]></description>
            <pubDate>Fri, 04 Aug 2023 13:31:49 +0100</pubDate>
            <guid isPermaLink ="true" >https://www.whtop.com/reviews/razorhost.in/63421</guid>
        </item>
        <item>
            <title>Razorhost.in reviewed by localmatrimonials@gmail.com ( localmatrimonials@g... ) , Rating 1 out of 10</title>
            <link>https://www.whtop.com/reviews/razorhost.in/63055</link>
            <description><![CDATA[T<br>
He is just here to steal money. Originally I had a doubt, so I booked hosting for 3 months and paid Rs 159. He ran my site for one evening only then stopped my site and raised a new invoice for Rs 59.<br>
I raised at least 3 tickets for help and explanation but no reply was given. <br>
Most probably, it is a 1 man firm, so no other employee there. <br>
DO NOT GO TO RAZORHOST, HE WILL SHAVE YOUR POCKET WITH HIS RAZOR.<br>
For this reason no body gives good review for them except the review owner ...]]></description>
            <pubDate>Mon, 05 Jun 2023 11:43:13 +0100</pubDate>
            <guid isPermaLink ="true" >https://www.whtop.com/reviews/razorhost.in/63055</guid>
        </item>
        <item>
            <title>Razorhost.in reviewed by Ankit ( xerosticonza@g... ) , Rating 1 out of 10</title>
            <link>https://www.whtop.com/reviews/razorhost.in/62392</link>
            <description><![CDATA[Worst hosting provider of all time<br>
Traps and Scams people by giving cheap rates<br>
And after purchasing servers and connectivity issues so many that many of the time website doesn't even loads <br>
And wordpress area also doesn't works properly<br>
It took me 30 mins to upload and install just 8 plugins<br>
Customer support is so rude and arrogant <br>
Threatens to ban account if said anything against him]]></description>
            <pubDate>Wed, 15 Mar 2023 11:38:50 +0100</pubDate>
            <guid isPermaLink ="true" >https://www.whtop.com/reviews/razorhost.in/62392</guid>
        </item>
        <item>
            <title>Razorhost.in reviewed by -anonymous- ( suheilganga4@g... ) , Rating 1 out of 10</title>
            <link>https://www.whtop.com/reviews/razorhost.in/62195</link>
            <description><![CDATA[Hosting Not Working And Not Refund my money not ignoring me i'm messaging from morning please my me for refund He is not replying]]></description>
            <pubDate>Sun, 26 Feb 2023 09:12:45 +0100</pubDate>
            <guid isPermaLink ="true" >https://www.whtop.com/reviews/razorhost.in/62195</guid>
        </item>
        <item>
            <title>Razorhost.in reviewed by -anonymous- ( mvkamboj@g... ) , Rating 1 out of 10</title>
            <link>https://www.whtop.com/reviews/razorhost.in/61676</link>
            <description><![CDATA[रेजरहोस्ट फर्जी वेबसाइट है ये लोगो को ठगने के लिए सबसे सस्ता ऑफर देते है जब पेमेंट कर देते हो उसके २ दिन से १ हफ्ते के अंदर ही आपका अकाउंट बंद कर देते है और आपकी वेबसाइट भी बिलकुल डाऊन कर देते है।  भाईयो किसी ने सही कहा है सस्ता रोये बार-बार और मेहंगा रोये एक बार। दोस्तों मेरा भी अकाउंट २४ घंटो में ही बंद कर दिया और वेबसाइट एरर दिखा रहे है <br>
Request Timeout<br>
This request takes too long to process, it is timed out by the server. If it should not be timed out, please contact administrator of ...]]></description>
            <pubDate>Thu, 05 Jan 2023 13:03:51 +0100</pubDate>
            <guid isPermaLink ="true" >https://www.whtop.com/reviews/razorhost.in/61676</guid>
        </item>
        <item>
            <title>Razorhost.in reviewed by -anonymous- ( -no email- ) , Rating 1 out of 10</title>
            <link>https://www.whtop.com/reviews/razorhost.in/59171</link>
            <description><![CDATA[I have call so many time's but i haven't received any back call from support... <br>
I have send so many messages but nothing reply.... <br>
More then 15 times call in 5 days]]></description>
            <pubDate>Sat, 02 Apr 2022 06:57:59 +0100</pubDate>
            <guid isPermaLink ="true" >https://www.whtop.com/reviews/razorhost.in/59171</guid>
        </item>
        <item>
            <title>Razorhost.in reviewed by -anonymous- ( -no email- ) , Rating 10 out of 10</title>
            <link>https://www.whtop.com/reviews/razorhost.in/56385</link>
            <description><![CDATA[It's the first time I am using their service so I can compare them with other hosting services that I used and currently using too. So, the things I like are: good and fair price for their SSD hosting combined with the performance I get. I can recommend them.]]></description>
            <pubDate>Wed, 11 Aug 2021 02:31:09 +0100</pubDate>
            <guid isPermaLink ="true" >https://www.whtop.com/reviews/razorhost.in/56385</guid>
        </item>
        <item>
            <title>Razorhost.in reviewed by -anonymous- ( -no email- ) , Rating 10 out of 10</title>
            <link>https://www.whtop.com/reviews/razorhost.in/56384</link>
            <description><![CDATA[I had my websites on another web hosting server and I started to have problems like:<br>
-slow website<br>
-SSL problems<br>
and other problems, once I've got on Razorhost everything was perfect.<br>
I've got free SSL, fast websites and perfect service and support everytime.<br>
thank you Razorhost :)]]></description>
            <pubDate>Wed, 11 Aug 2021 02:27:37 +0100</pubDate>
            <guid isPermaLink ="true" >https://www.whtop.com/reviews/razorhost.in/56384</guid>
        </item>
        <item>
            <title>Razorhost.in reviewed by -anonymous- ( nihalahmed966@g... ) , Rating 10 out of 10</title>
            <link>https://www.whtop.com/reviews/razorhost.in/56383</link>
            <description><![CDATA[Excellent support and service by their team. Best part is the Starter plans can be extended even for VPS. the pricing is cheapest but the thing is that Razorhost is a growing brand and they really live up to the expectations. Really helped me set up my small business website and blog.]]></description>
            <pubDate>Wed, 11 Aug 2021 02:24:58 +0100</pubDate>
            <guid isPermaLink ="true" >https://www.whtop.com/reviews/razorhost.in/56383</guid>
        </item>
        <item>
            <title>Razorhost.in reviewed by -anonymous- ( -no email- ) , Rating 10 out of 10</title>
            <link>https://www.whtop.com/reviews/razorhost.in/54302</link>
            <description><![CDATA[If you have problems, you can trust this company. In minutes you are given a solution to the problem.<br>
Thank You Razorhost for great support.]]></description>
            <pubDate>Fri, 09 Apr 2021 02:16:13 +0100</pubDate>
            <guid isPermaLink ="true" >https://www.whtop.com/reviews/razorhost.in/54302</guid>
        </item>
        <item>
            <title>Razorhost.in reviewed by -anonymous- ( -no email- ) , Rating 10 out of 10</title>
            <link>https://www.whtop.com/reviews/razorhost.in/54300</link>
            <description><![CDATA[For all your services and support, I feel that whatever you are charging is very less. In case you need any help from my side, I will always be willing to help. More than a client, I feel like I am a member of Razorhost.]]></description>
            <pubDate>Fri, 09 Apr 2021 01:08:24 +0100</pubDate>
            <guid isPermaLink ="true" >https://www.whtop.com/reviews/razorhost.in/54300</guid>
        </item>
        <item>
            <title>Razorhost.in reviewed by -anonymous- ( -no email- ) , Rating 10 out of 10</title>
            <link>https://www.whtop.com/reviews/razorhost.in/54299</link>
            <description><![CDATA[Razorhost one of the best hosting service I have ever used. After the most disastrous response of hostgator support I choose razorhost and they really help me to sort out my website issue.]]></description>
            <pubDate>Fri, 09 Apr 2021 01:05:12 +0100</pubDate>
            <guid isPermaLink ="true" >https://www.whtop.com/reviews/razorhost.in/54299</guid>
        </item>
        <item>
            <title>Razorhost.in reviewed by -anonymous- ( -no email- ) , Rating 10 out of 10</title>
            <link>https://www.whtop.com/reviews/razorhost.in/54298</link>
            <description><![CDATA[i am very much satisfied with their prices, services and support. They are also good a security concerns so keeping all these in mind, i would rate them the best 10 on 10 and advice others also to use their services and see the difference.]]></description>
            <pubDate>Fri, 09 Apr 2021 01:02:52 +0100</pubDate>
            <guid isPermaLink ="true" >https://www.whtop.com/reviews/razorhost.in/54298</guid>
        </item>
        <item>
            <title>Razorhost.in reviewed by -anonymous- ( -no email- ) , Rating 10 out of 10</title>
            <link>https://www.whtop.com/reviews/razorhost.in/54297</link>
            <description><![CDATA[Extremely satisfied with Razorhost. They are prompt, reliable and always accessible even at late hours of the day. More so, I did not need to follow up with them when I had an issue, they updated me once the issue was resolved. Excellent!]]></description>
            <pubDate>Fri, 09 Apr 2021 01:00:27 +0100</pubDate>
            <guid isPermaLink ="true" >https://www.whtop.com/reviews/razorhost.in/54297</guid>
        </item>
        <item>
            <title>Razorhost.in reviewed by -anonymous- ( -no email- ) , Rating 10 out of 10</title>
            <link>https://www.whtop.com/reviews/razorhost.in/54296</link>
            <description><![CDATA[Really they have Best support team to assist customers and Siddharth also helped me a lot. thank you so much for everything. Keep up the good work. Stay Bless!]]></description>
            <pubDate>Fri, 09 Apr 2021 00:56:05 +0100</pubDate>
            <guid isPermaLink ="true" >https://www.whtop.com/reviews/razorhost.in/54296</guid>
        </item>
        <item>
            <title>Razorhost.in reviewed by -anonymous- ( -no email- ) , Rating 10 out of 10</title>
            <link>https://www.whtop.com/reviews/razorhost.in/54295</link>
            <description><![CDATA[Razorhost team were very helpful with very fast response they upgrade my PHP version and solve the problem. thank you so much.]]></description>
            <pubDate>Fri, 09 Apr 2021 00:52:01 +0100</pubDate>
            <guid isPermaLink ="true" >https://www.whtop.com/reviews/razorhost.in/54295</guid>
        </item>
        <item>
            <title>Razorhost.in reviewed by -anonymous- ( raji.sathish@g... ) , Rating 10 out of 10</title>
            <link>https://www.whtop.com/reviews/razorhost.in/53945</link>
            <description><![CDATA[I've used Razorhost for 2+ years, plus I just switched to Razorhost for domain registration for the site. I am quite happy. The prices are good, and their service is excellent.]]></description>
            <pubDate>Tue, 23 Mar 2021 05:38:03 +0100</pubDate>
            <guid isPermaLink ="true" >https://www.whtop.com/reviews/razorhost.in/53945</guid>
        </item>
        <item>
            <title>Razorhost.in reviewed by -anonymous- ( sidsh471@g... ) , Rating 10 out of 10</title>
            <link>https://www.whtop.com/reviews/razorhost.in/53372</link>
            <description><![CDATA[If you are just starting out and don't have any money, make sure to use this site because it's very good.<br>
<br>
They work with you, as you expand you may hit the limit, but that's a blessing because you are doing great! If you get a billion dollars for your site please let me know or just enjoy your life :).]]></description>
            <pubDate>Sat, 20 Feb 2021 05:10:04 +0100</pubDate>
            <guid isPermaLink ="true" >https://www.whtop.com/reviews/razorhost.in/53372</guid>
        </item>
        <item>
            <title>Razorhost.in reviewed by -anonymous- ( tarundeep110@g... ) , Rating 1 out of 10</title>
            <link>https://www.whtop.com/reviews/razorhost.in/52191</link>
            <description><![CDATA[Even if you get it for free, don't go for this HOST, Because you will lose time and data/<br>
No response team, No professionalism, Site is down so frequently you lose credibility big time in the market. Even for a learner, this is not recommended.]]></description>
            <pubDate>Mon, 14 Dec 2020 03:35:12 +0100</pubDate>
            <guid isPermaLink ="true" >https://www.whtop.com/reviews/razorhost.in/52191</guid>
        </item>
        <item>
            <title>Razorhost.in reviewed by -anonymous- ( anitgopinath@g... ) , Rating 1 out of 10</title>
            <link>https://www.whtop.com/reviews/razorhost.in/52175</link>
            <description><![CDATA[LOUSIEST HOSTING  I have experienced in a life time  !<br>
<br>
SITE IS DOWN FREQUENTLY AND NOBODY BOTHERS TO RESPOND  !!!  <br>
<br>
No Contact number works !  <br>
<br>
RUDEST  CUSTOMER CARE Fellows on Support  TICKETS  ! Absolutely useless !!<br>
<br>
Not even basic functionalities available on other shared server are not activated. They will rudely tell you. 'You wont get it on shared server'  !!! <br>
<br>
Subdomains will only show as folders of Primary domain !<br>
<br>
Ask any think on Support and you will wish you hadn't ...]]></description>
            <pubDate>Sat, 12 Dec 2020 11:12:03 +0100</pubDate>
            <guid isPermaLink ="true" >https://www.whtop.com/reviews/razorhost.in/52175</guid>
        </item>
    </channel>
</rss>